## ignition-msgs8 8.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-msgs8 VERSION 8.1.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

# Cross-compilation related options
# In a cross-compilation scenario, it is possible that the ign_msgs_gen
# generator compiled for the target machine cannot be used to generate
# the C++ code corresponding to the .proto definition. For this scenario,
# the following two options can be used as follows.
# First of all, ign-msgs is compiled targeting the host machine, and in the
# build targeting the host, the INSTALL_IGN_MSGS_GEN_EXECUTABLE option is
# enabled:
# > cmake -DINSTALL_IGN_MSGS_GEN_EXECUTABLE:BOOL=ON ..
# ensuring that the ign_msgs_gen is installed in
# <host_install_prefix>/bin/ign_msgs_gen . Then, the same version of ign-msgs
# can be cross-compiled, and in the cross-compilation build the location of the
# host ign_msgs_gen is specified via the IGN_MSGS_GEN_EXECUTABLE
# CMake cache variable:
# > cmake -IGN_MSGS_GEN_EXECUTABLE=<host_install_prefix>/bin/ign_msgs_gen ..

option(
  INSTALL_IGN_MSGS_GEN_EXECUTABLE
  "Install the ign_msgs_gen executable."
  OFF)
mark_as_advanced(INSTALL_IGN_MSGS_GEN_EXECUTABLE)

set(
  IGN_MSGS_GEN_EXECUTABLE
  "$<TARGET_FILE:ign_msgs_gen>"
  CACHE STRING
  "ign_msgs_gen executable used in the ign_msgs_protoc CMake function.")
mark_as_advanced(IGN_MSGS_GEN_EXECUTABLE)

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 COMPONENTS all
                 PRETTY Protobuf)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED VERSION 6.5)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find if ign command is available
find_program(HAVE_IGN_TOOLS ign)

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Test the command line commands
#============================================================================
add_subdirectory(tools)

#============================================================================
# Install proto files
#============================================================================
# TODO: Consider tweaking ign_configure_build() to call add_subdirectory(proto)
# whenever a proto subdirectory exists. This could be used alongside
# ign_msgs_protoc to get uniform support for proto messages across all ignition
# projects.
add_subdirectory(proto)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)


ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  AUTOGENERATED_DOC "${CMAKE_BINARY_DIR}/include/ignition/msgs/"
  TAGFILES
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
)

# Wait to build the doc for the autogenerated code
# The TARGET will exist if doxygen is installed
if(TARGET doc)
  add_dependencies(doc ignition-msgs${PROJECT_VERSION_MAJOR})
endif()

=== debian/changelog ===
ignition-msgs8 (8.1.0-1~buster) buster; urgency=medium

  * ignition-msgs8 8.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 02 Nov 2022 08:17:23 -0700

ignition-msgs8 (8.0.0-1~buster) buster; urgency=medium

  * ignition-msgs8 8.0.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Tue, 28 Sep 2021 19:33:12 +0200

ignition-msgs8 (8.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-msgs8 8.0.0~pre1-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Fri, 17 Sep 2021 22:17:59 +0200

ignition-msgs8 (7.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:25:22 -0700

=== debian/control ===
Source: ignition-msgs8
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               libprotoc-dev,
               libprotobuf-dev (>= 2.3.0),
               libtinyxml2-dev,
               libignition-cmake2-dev (>= 2.8.0),
               libignition-math6-dev (>= 6.5.0),
               libignition-tools-dev,
               protobuf-compiler,
Vcs-Browser: https://github.com/ignition-release/ign_msgs5-release
Vcs-Git: https://github.com/ignition-release/ign_msgs5-release
Homepage: http://ignitionrobotics.org/

Package: libignition-msgs8
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for ignitionics applications - Shared library
 This library provides a set of google protobuf messages that are typically used
 in ignition applications.

Package: libignition-msgs8-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-dev (>= 2.3.0),
         libprotoc-dev,
         protobuf-compiler,
         libtinyxml2-dev,
         libignition-cmake2-dev (>= 2.8.0),
         libignition-math6-dev (>= 6.5.0),
         libignition-msgs8 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Protobuf messages for ignitionics applications - Development files
 This library provides a set of google protobuf messages that are typically used
 in ignition applications.

## ignition-msgs8 8.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,24 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-msgs8 VERSION 8.1.0)
+project(ignition-msgs8 VERSION 8.6.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.13 REQUIRED)
 
 #============================================================================
 # Configure the project
 #============================================================================
 ign_configure_project(VERSION_SUFFIX)
+
+if (UNIX AND NOT APPLE)
+  set (EXTRA_TEST_LIB_DEPS stdc++fs)
+else()
+  set (EXTRA_TEST_LIB_DEPS)
+endif()
 
 #============================================================================
 # Set project-specific options
@@ -69,8 +75,11 @@
 set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})
 
 #--------------------------------------
-# Find if ign command is available
+# Find if command is available. This is used to enable tests.
+# Note that CLI files are installed regardless of whether the dependency is
+# available during build time
 find_program(HAVE_IGN_TOOLS ign)
+set(IGN_TOOLS_VER 1)
 
 #--------------------------------------
 # Find Tinyxml2

=== debian/changelog ===
ignition-msgs8 (8.6.0-3~focal) focal; urgency=medium

  * ignition-msgs8 8.6.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 17:08:47 -0700

ignition-msgs8 (8.6.0-2~focal) focal; urgency=medium

  * ignition-msgs8 8.6.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 15:56:33 -0700

ignition-msgs8 (8.6.0-1~focal) focal; urgency=medium

  * ignition-msgs8 8.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 Aug 2022 20:00:50 -0700

ignition-msgs8 (8.5.0-1~focal) focal; urgency=medium

  * ignition-msgs8 8.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jun 2022 11:36:37 -0700

ignition-msgs8 (8.4.0-1~focal) focal; urgency=medium

  * ignition-msgs8 8.4.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 06 Apr 2022 17:18:58 +0200

ignition-msgs8 (8.3.0-1~focal) focal; urgency=medium

  * ignition-msgs8 8.3.0-1 release

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Mar 2022 17:06:44 -0700

ignition-msgs8 (8.2.0-1~focal) focal; urgency=medium

  * ignition-msgs8 8.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 14:35:57 -0800

ignition-msgs8 (8.1.0-1~focal) focal; urgency=medium

  * ignition-msgs8 8.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 02 Nov 2022 08:17:23 -0700

ignition-msgs8 (8.0.0-1~focal) focal; urgency=medium

  * ignition-msgs8 8.0.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Tue, 28 Sep 2021 19:33:12 +0200

ignition-msgs8 (8.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-msgs8 8.0.0~pre1-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Fri, 17 Sep 2021 22:17:59 +0200

ignition-msgs8 (7.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:25:22 -0700

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_configure override_dh_auto_test

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

## ignition-msgs8 8.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-msgs8 VERSION 8.6.0)
+project(ignition-msgs8 VERSION 8.7.0)
 
 #============================================================================
 # Find ignition-cmake

=== conf/CMakeLists.txt ===
# Used only for internal testing.
set(ign_library_path "${CMAKE_BINARY_DIR}/test/lib/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: transport0.yaml
configure_file(
  "${GZ_DESIGNATION}.yaml.in"
    "${CMAKE_BINARY_DIR}/test/conf/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Used for the installed version.
set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate the configuration file that is installed.
# Note that the major version of the library is included in the name.
# Ex: transport0.yaml
configure_file(
  "${GZ_DESIGNATION}.yaml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

=== include/CMakeLists.txt ===
add_subdirectory(ignition/msgs)
install(DIRECTORY gz DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== src/CMakeLists.txt ===
##################################################
# Build a custom protoc plugin
ign_add_executable(ign_msgs_gen Generator.cc generator_main.cc)
target_link_libraries(ign_msgs_gen
  protobuf::libprotoc
  protobuf::libprotobuf)
target_include_directories(ign_msgs_gen PRIVATE ${PROTOBUF_INCLUDE_DIR})
target_compile_features(ign_msgs_gen PRIVATE ${IGN_CXX_11_FEATURES})

if (UNIX)
  target_link_libraries(ign_msgs_gen pthread)
endif()

if(INSTALL_IGN_MSGS_GEN_EXECUTABLE)
  set_target_properties(ign_msgs_gen PROPERTIES VERSION ${PROJECT_VERSION_FULL})
  install(TARGETS ign_msgs_gen DESTINATION ${IGN_BIN_INSTALL_DIR})
endif()

##################################################
# A function that calls protoc on a protobuf file
# Options:
#   GENERATE_RUBY       - generates ruby code for the message if specified
#   GENERATE_CPP        - generates c++ code for the message if specified
# One value arguments:
#   PROTO_PACKAGE       - Protobuf package the file belongs to (e.g. ".ignition.msgs")
#   PROTOC_EXEC         - Path to protoc
#   INPUT_PROTO         - Path to the input .proto file
#   OUTPUT_CPP_DIR      - Path where C++ files are saved
#   OUTPUT_RUBY_DIR     - Path where Ruby files are saved
#   OUTPUT_CPP_HH_VAR   - A CMake variable name containing a list that the C++ header path should be appended to
#   OUTPUT_CPP_CC_VAR   - A Cmake variable name containing a list that the C++ source path should be appended to
#   OUTPUT_RUBY_VAR     - A Cmake variable name containing a list that the ruby file should be apenned to
# Multi value arguments
#   PROTO_PATH          - Passed to protoc --proto_path
function(ign_msgs_protoc)
  set(options GENERATE_RUBY GENERATE_CPP)
  set(oneValueArgs PROTO_PACKAGE PROTOC_EXEC INPUT_PROTO OUTPUT_CPP_DIR OUTPUT_RUBY_DIR OUTPUT_CPP_HH_VAR OUTPUT_CPP_CC_VAR OUTPUT_RUBY_VAR)
  set(multiValueArgs PROTO_PATH)

  cmake_parse_arguments(ign_msgs_protoc "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  get_filename_component(ABS_FIL ${ign_msgs_protoc_INPUT_PROTO} ABSOLUTE)
  get_filename_component(FIL_WE ${ign_msgs_protoc_INPUT_PROTO} NAME_WE)

  set(protoc_args)
  set(output_files)

  foreach(proto_path ${ign_msgs_protoc_PROTO_PATH})
    list(APPEND protoc_args "--proto_path=${proto_path}")
  endforeach()

  set(proto_package_dir ".")
  if(ign_msgs_protoc_PROTO_PACKAGE)
    string(REPLACE "." "/" proto_package_dir ${ign_msgs_protoc_PROTO_PACKAGE})
  endif()

  if(ign_msgs_protoc_GENERATE_CPP)
    set(output_header "${ign_msgs_protoc_OUTPUT_CPP_DIR}${proto_package_dir}/${FIL_WE}.pb.h")
    set(output_source "${ign_msgs_protoc_OUTPUT_CPP_DIR}${proto_package_dir}/${FIL_WE}.pb.cc")
    list(APPEND ${ign_msgs_protoc_OUTPUT_CPP_HH_VAR} ${output_header})
    list(APPEND ${ign_msgs_protoc_OUTPUT_CPP_CC_VAR} ${output_source})
    list(APPEND output_files ${output_header})
    list(APPEND output_files ${output_source})
    list(APPEND protoc_args "--plugin=protoc-gen-ignmsgs=${IGN_MSGS_GEN_EXECUTABLE}")
    list(APPEND protoc_args "--cpp_out=dllexport_decl=IGNITION_MSGS_VISIBLE:${ign_msgs_protoc_OUTPUT_CPP_DIR}")
    list(APPEND protoc_args "--ignmsgs_out" "${ign_msgs_protoc_OUTPUT_CPP_DIR}")
    set(${ign_msgs_protoc_OUTPUT_CPP_HH_VAR} ${${ign_msgs_protoc_OUTPUT_CPP_HH_VAR}} PARENT_SCOPE)
    set(${ign_msgs_protoc_OUTPUT_CPP_CC_VAR} ${${ign_msgs_protoc_OUTPUT_CPP_CC_VAR}} PARENT_SCOPE)
  endif()

  if(ign_msgs_protoc_GENERATE_RUBY)
    file(MAKE_DIRECTORY ${ign_msgs_protoc_OUTPUT_RUBY_DIR})
    set(output_ruby "${ign_msgs_protoc_OUTPUT_RUBY_DIR}${proto_package_dir}/${FIL_WE}_pb.rb")
    list(APPEND ${ign_msgs_protoc_OUTPUT_RUBY_VAR} ${output_ruby})
    list(APPEND output_files ${output_ruby})
    list(APPEND protoc_args "--ruby_out=${ign_msgs_protoc_OUTPUT_RUBY_DIR}")
    set(${ign_msgs_protoc_OUTPUT_RUBY_VAR} ${${ign_msgs_protoc_OUTPUT_RUBY_VAR}} PARENT_SCOPE)
  endif()

  #get_cmake_property(_variableNames VARIABLES)
  #foreach (_variableName ${_variableNames})
  #    message(STATUS "${_variableName}=${${_variableName}}")
  #endforeach()

  add_custom_command(
    OUTPUT
      ${output_files}
    COMMAND
      ${ign_msgs_protoc_PROTOC_EXEC}
    ARGS
      ${protoc_args}
      ${ABS_FIL}
    DEPENDS
      ${ABS_FIL}
      ign_msgs_gen
    COMMENT "Running protoc on ${ign_msgs_protoc_INPUT_PROTO}"
    VERBATIM)
endfunction()


##################################################
# do the code generation
file (GLOB proto_files ${PROJECT_SOURCE_DIR}/proto/ignition/msgs/*.proto)

foreach(proto_file ${proto_files})
  ign_msgs_protoc(
    PROTO_PACKAGE
      .ignition.msgs
    GENERATE_CPP
    GENERATE_RUBY
    INPUT_PROTO
      ${proto_file}
    PROTOC_EXEC
      protobuf::protoc
    OUTPUT_CPP_DIR
      "${PROJECT_BINARY_DIR}/include"
    OUTPUT_RUBY_DIR
      "${PROJECT_BINARY_DIR}/ruby"
    OUTPUT_CPP_HH_VAR
      gen_headers
    OUTPUT_CPP_CC_VAR
      gen_sources
    OUTPUT_RUBY_VAR
      gen_ruby_scripts
    PROTO_PATH
      "${PROJECT_SOURCE_DIR}/proto")
endforeach()

if(NOT MSVC)
  # -Wno-switch-default flags is required for suppressing a warning in some of
  # the generated protobuf files.
  set_source_files_properties(${gen_sources} COMPILE_FLAGS -Wno-switch-default)
endif()

if(MSVC)
  # Warning #4251 is the "dll-interface" warning that tells you when types used
  # by a class are not being exported. These generated source files have private
  # members that don't get exported, so they trigger this warning. However, the
  # warning is not important since those members do not need to be interfaced
  # with.
  set_source_files_properties(${gen_sources} COMPILE_FLAGS "/wd4251 /wd4146")
  # Fix for protobuf 3.12 - allow big object files
  add_definitions(/bigobj)
endif()

set_source_files_properties(${gen_headers} ${gen_sources} ${gen_ruby_scripts}
  PROPERTIES GENERATED TRUE)

message(STATUS "Installing Ruby messages to ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ruby/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")
install(FILES ${gen_ruby_scripts} DESTINATION ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ruby/ignition/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR})

ign_install_includes(
  "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${GZ_DESIGNATION}"
  ${gen_headers})


##################################################
# Generate ignition/msgs/MessageTypes.hh
foreach (hdr ${gen_headers})
  string(REPLACE "${PROJECT_BINARY_DIR}/include/" "" hdr ${hdr})
  string(CONCAT ign_msgs_headers ${ign_msgs_headers} "#include <${hdr}>\n")
endforeach()

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/MessageTypes.hh.in
  ${PROJECT_BINARY_DIR}/include/ignition/msgs/MessageTypes.hh)

ign_install_includes(
  "${IGN_INCLUDE_INSTALL_DIR_POSTFIX}/ignition/${GZ_DESIGNATION}"
  "${PROJECT_BINARY_DIR}/include/ignition/${GZ_DESIGNATION}/MessageTypes.hh")


##################################################
# Build the main library
ign_create_core_library(SOURCES
  ${gen_sources}
  ${PROJECT_SOURCE_DIR}/src/Factory.cc
  ${PROJECT_SOURCE_DIR}/src/Filesystem.cc
  ${PROJECT_SOURCE_DIR}/src/ign.cc
  ${PROJECT_SOURCE_DIR}/src/Utility.cc
  CXX_STANDARD 17)

target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  PRIVATE ${CMAKE_CURRENT_BINARY_DIR})

target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    protobuf::libprotobuf
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
  PRIVATE
    TINYXML2::TINYXML2
)

target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  SYSTEM PUBLIC $<TARGET_PROPERTY:protobuf::libprotobuf,INTERFACE_INCLUDE_DIRECTORIES>)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # Disable warning in generated *.pb.cc code
  target_compile_options(${PROJECT_LIBRARY_TARGET_NAME} PRIVATE -Wno-extended-offsetof)
endif()

target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
    $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR_FULL}>)

##################################################
# Build unit tests
ign_get_libsources_and_unittests(sources gtest_sources)

# Build the unit tests.
ign_build_tests(TYPE UNIT
  SOURCES
    ${gtest_sources}
  LIB_DEPS
      TINYXML2::TINYXML2
)

##################################################
# ign msgs command
if(NOT WIN32)
  add_subdirectory(cmd)
endif()

=== tools/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/test
)
set (test_sources
  ign_TEST.cc
)

# Skip command line tests for Windows, see
# https://github.com/ignitionrobotics/ign-msgs/issues/28
if (MSVC)
  list(REMOVE_ITEM test_sources ign_TEST.cc)
endif()

if (HAVE_IGN_TOOLS)
  ign_build_tests(
    TYPE UNIT
    SOURCES ${test_sources}
    LIB_DEPS
      ${EXTRA_TEST_LIB_DEPS})
endif ()

=== src/cmd/CMakeLists.txt ===
#===============================================================================
# Generate the ruby script for internal testing.
# Note that the major version of the library is included in the name.
# Ex: cmdtransport0.rb
set(cmd_script_generated_test "${CMAKE_BINARY_DIR}/test/lib/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured_test "${cmd_script_generated_test}.configured")

# Set the library_location variable to the full path of the library file within
# the build directory.
set(library_location "$<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>")

configure_file(
  "cmd${GZ_DESIGNATION}.rb.in"
  "${cmd_script_configured_test}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated_test}"
  INPUT  "${cmd_script_configured_test}")


#===============================================================================
# Used for the installed version.
# Generate the ruby script that gets installed.
# Note that the major version of the library is included in the name.
# Ex: cmdtransport0.rb
set(cmd_script_generated "${CMAKE_CURRENT_BINARY_DIR}/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured "${cmd_script_generated}.configured")

# Set the library_location variable to the relative path to the library file
# within the install directory structure.
set(library_location "../../../${CMAKE_INSTALL_LIBDIR}/$<TARGET_FILE_NAME:${PROJECT_LIBRARY_TARGET_NAME}>")

configure_file(
  "cmd${GZ_DESIGNATION}.rb.in"
  "${cmd_script_configured}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated}"
  INPUT  "${cmd_script_configured}")

# Install the ruby command line library in an unversioned location.
install(FILES ${cmd_script_generated} DESTINATION lib/ruby/ignition)


#===============================================================================
# Bash completion

# Tack version onto and install the bash completion script
configure_file(
  "msgs.bash_completion.sh"
    "${CMAKE_CURRENT_BINARY_DIR}/msgs${PROJECT_VERSION_MAJOR}.bash_completion.sh" @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/msgs${PROJECT_VERSION_MAJOR}.bash_completion.sh
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gz/gz${IGN_TOOLS_VER}.completion.d)

=== debian/changelog ===
ignition-msgs8 (8.7.0-1~revyos2) UNRELEASED; urgency=medium

  * Make libignition-msgs8-8 provides virtual pkg -protobuf32 

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Thu, 23 May 2024 18:34:17 +0800

ignition-msgs8 (8.7.0-1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64
  * Switch to Debian-style package name 

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Thu, 23 May 2024 16:23:53 +0800

ignition-msgs8 (8.7.0-1~jammy) jammy; urgency=medium

  * ignition-msgs8 8.7.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 28 Sep 2022 19:25:59 -0700

ignition-msgs8 (8.7.0~pre2-1~jammy) jammy; urgency=medium

  * ignition-msgs8 8.7.0~pre2-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 26 Aug 2022 12:39:19 -0700

ignition-msgs8 (8.7.0~pre1-1~jammy) jammy; urgency=medium

  * ignition-msgs8 8.7.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 18 Aug 2022 02:00:04 -0700

ignition-msgs8 (8.6.0-3~jammy) jammy; urgency=medium

  * ignition-msgs8 8.6.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 17:08:47 -0700

ignition-msgs8 (8.6.0-2~jammy) jammy; urgency=medium

  * ignition-msgs8 8.6.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 15:56:33 -0700

ignition-msgs8 (8.6.0-1~jammy) jammy; urgency=medium

  * ignition-msgs8 8.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 Aug 2022 20:00:49 -0700

ignition-msgs8 (8.5.0-1~jammy) jammy; urgency=medium

  * ignition-msgs8 8.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jun 2022 11:36:36 -0700

ignition-msgs8 (8.4.0-1~jammy) jammy; urgency=medium

  * ignition-msgs8 8.4.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 06 Apr 2022 17:18:58 +0200

ignition-msgs8 (8.3.0-1~jammy) jammy; urgency=medium

  * ignition-msgs8 8.3.0-1 release

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Mar 2022 17:06:44 -0700

ignition-msgs8 (8.2.0-1~jammy) jammy; urgency=medium

  * First release for jammy

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 25 Feb 2022 18:53:34 +0100

=== debian/control ===
Source: ignition-msgs8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 11),
               doxygen,
               libprotoc-dev,
               libprotobuf-dev (>= 2.3.0),
               libtinyxml2-dev,
               libignition-cmake-dev (>= 2.13.0),
               libignition-math-dev (>= 6.5.0),
               libignition-tools-dev,
               protobuf-compiler,
Vcs-Browser: https://github.com/gazebosim/gz-msgs
Vcs-Git: https://github.com/gazebo-release/gz-msgs5-release
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: libignition-msgs8-8
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Provides: libignition-msgs8-8-protobuf32
Description: Set of message definitions used by robotics apps - Shared library
 Gazebo msgs is a component in the Gazebo framework, a set of
 librariesdesigned to rapidly develop robot applications. The library
 defines common protobuf messages used by the robotics community.
 .
 This package contains the main message library.

Package: libignition-msgs-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-dev (>= 2.3.0),
         libprotoc-dev,
         protobuf-compiler,
         libtinyxml2-dev,
         libignition-cmake-dev (>= 2.13.0),
         libignition-math-dev (>= 6.5.0),
         libignition-msgs8-8 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Set of message definitions used by robotics apps - Dev files
 Gazebo msgs is a component in the Gazebo framework, a set of
 librariesdesigned to rapidly develop robot applications. The library
 defines common protobuf messages used by the robotics community.
 .
 This package contains the headers and other tools for development.

Package: libgz-msgs8
Depends: libignition-msgs8-8, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-msgs8-dev
Depends: libignition-msgs-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.
